
%define name            velocity-tools
%define version         1.1
%define release         4jpp
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Java-based template engine
License:        Apache Software License
Source:         http://www.apache.org/dist/jakarta/velocity-tools/source/velocity-tools-1.1-src.tar.gz
URL:            http://jakarta.apache.org/velocity/tools/
Group:          Development/Libraries/Java
Patch0:		velocity-tools-1.1-docs.patch
BuildRequires:  ant
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-validator
BuildRequires:  dom4j
BuildRequires:	jaxen >= 0:1.1
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  servletapi4
BuildRequires:	struts11
BuildRequires:	velocity
BuildRequires:	velocity-dvsl
BuildRequires:	xerces-j2
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-digester
Requires:  jakarta-commons-logging
Requires:  jakarta-commons-validator
Requires:  dom4j
Requires:  jaxen >= 0:1.1
Requires:  jpackage-utils >= 0:1.5
Requires:  servletapi4
Requires:  struts11
Requires:  velocity
Requires:  velocity-dvsl
Requires:  xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

%description
VelocityTools is a collection of Velocity subprojects with a common
goal of creating tools and infrastructure for building both web and
non-web applications using the Velocity template engine.

%package        manual
Summary:        Manual for %{name}
Group:          Development/Libraries/Java

%description    manual
Documentation for %{name}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

#%package        demo
#Summary:        Demo for %{name}
#Group:          Development/Libraries/Java
#Requires:       %{name} = %{epoch}:%{version}-%{release}

#%description    demo
#Demonstrations and samples for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -c -n %{name}-%{version}
# Remove all binary libs used in compiling the package.
# Note that velocity has some jar files containing macros under
# examples and test that should not be removed.
find lib -name "*.jar" -and -not -name sslext.jar -print | xargs rm -f

%patch0 -p1

# -----------------------------------------------------------------------------

%build
cat > build.properties <<EOBP

commons-beanutils.jar=$(build-classpath commons-beanutils)
commons-collections.jar=$(build-classpath commons-collections)
commons-digester.jar=$(build-classpath commons-digester)
commons-logging.jar=$(build-classpath commons-logging)
commons-validator.jar=$(build-classpath commons-validator)
dom4j.jar=$(build-classpath dom4j)
jaxen.jar=$(build-classpath jaxen)
saxpath.jar=$(build-classpath jaxen)
servlet.jar=$(build-classpath servletapi4)
struts.jar=$(build-classpath struts-1.1)
sslext.jar=lib/sslext.jar
velocity.jar=$(build-classpath velocity)
velocity-dvsl.jar=$(build-classpath velocity-dvsl)
xerces.jar=$(build-classpath xerces-j2)
EOBP

ant jar.struts jar.view jar.generic javadoc docs

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -p -m 644 dist/%{name}-generic-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-generic-%{version}.jar
install -p -m 644 dist/%{name}-view-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-view-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/javadoc

# data
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
#cp -pr convert examples test $RPM_BUILD_ROOT%{_datadir}/%{name}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.txt WHY_THREE_JARS.txt VLS_README.txt STATUS
%{_javadir}/*.jar

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

#%files demo
#%defattr(0644,root,root,0755)
#%{_datadir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1-4jpp
- Fix build-classpath arguments
- Change struts requirement to struts11

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1-3jpp
- Drop saxpath requirement
- Require jaxen >= 0:1.1
- Add missing runtime requires

* Thu Sep 02 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1-2jpp
- Build with ant-1.6.2
- Relax some versioned dependencies

* Sun Jun 27 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.1-1jpp
- First JPP build

